/*    ==Scripting Parameters==

    Source Server Version : SQL Server 2016 (13.0.4001)
    Source Database Engine Edition : Microsoft SQL Server Enterprise Edition
    Source Database Engine Type : Standalone SQL Server

    Target Server Version : SQL Server 2017
    Target Database Engine Edition : Microsoft SQL Server Standard Edition
    Target Database Engine Type : Standalone SQL Server
*/

USE fwsMetadata
GO
/****** Object:  Schema [lineage]    Script Date: 08-05-2018 09:54:41 ******/
CREATE SCHEMA [lineage]
GO
ALTER TABLE [audit].[job_exec_log] ALTER COLUMN [job_name] nvarchar(1000) NULL
go
/****** Object:  Table [lineage].[Edge]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[Edge](
	[EdgePid] [bigint] IDENTITY(1,1) NOT NULL,
	[EdgeId] [nvarchar](1000) NOT NULL,
	[EdgeType] [nvarchar](100) NULL,
	[EdgeName] [nvarchar](100) NULL,
	[NextNodePid] [bigint] NOT NULL,
	[PrevNodePid] [bigint] NOT NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
 CONSTRAINT [EdgePK] PRIMARY KEY CLUSTERED 
(
	[EdgePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [lineage].[EdgeAttribute]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[EdgeAttribute](
	[EdgeAttributePid] [bigint] IDENTITY(1,1) NOT NULL,
	[EdgeAttributeId] [nvarchar](1000) NOT NULL,
	[EdgePid] [bigint] NOT NULL,
	[EdgeAttributeType] [nvarchar](100) NULL,
	[EdgeAttributeName] [nvarchar](100) NULL,
	[EdgeAttributeValue] [nvarchar](1000) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [EdgeAttributePK] PRIMARY KEY CLUSTERED 
(
	[EdgeAttributePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [lineage].[HierarchyNode]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[HierarchyNode](
	[HierarchyNodePid] [bigint] IDENTITY(1,1) NOT NULL,
	[HierarchyNodeId] [nvarchar](1000) NOT NULL,
	[ParentHierarchyNodePid] [bigint] NULL,
	[ParentHierarchyNodeId] [nvarchar](1000) NULL,
	[HierarchyType] [nvarchar](100) NULL,
	[HierarchySubType] [nvarchar](100) NULL,
	[HierarchyNodeCategory] [nvarchar](100) NULL,
	[HierarchyNodeSubCategory] [nvarchar](100) NULL,
	[HierarchyNodeName] [nvarchar](1000) NULL,
	[fws_valid_from_ts] [datetime] NOT NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [HierarchyNodePK] PRIMARY KEY CLUSTERED 
(
	[HierarchyNodePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [lineage].[HierarchyNodeAttribute]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[HierarchyNodeAttribute](
	[HierarchyNodePid] [bigint] NOT NULL,
	[HierarchyNodeId] [nvarchar](1000) NOT NULL,
	[HierarchyNodeAttributePid] [bigint] IDENTITY(1,1) NOT NULL,
	[HierarchyNodeAttributeId] [nvarchar](1000) NOT NULL,
	[HierarchyNodeAttributeTypePid] [bigint] NOT NULL,
	[HierarchyNodeAttributeType] [nvarchar](100) NULL,
	[HierarchyNodeAttributeName] [nvarchar](100) NULL,
	[HierarchyNodeAttributeValue] [nvarchar](max) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [HierarchyNodeAttributePK] PRIMARY KEY CLUSTERED 
(
	[HierarchyNodeAttributePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [lineage].[HierarchyNodeAttributeType]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[HierarchyNodeAttributeType](
	[HierarchyNodeAttributeTypeId] [nvarchar](1000) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [HierarchyNodeAttributeTypePK] PRIMARY KEY CLUSTERED 
(
	[HierarchyNodeAttributeTypeId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [lineage].[HierarchyNodeCategoryDef]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[HierarchyNodeCategoryDef](
	[HierarchyNodeCategory] [nvarchar](100) NOT NULL,
	[HierarchyNodeSubCategory] [nvarchar](100) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [HierarchyNodeCategoryDefPK] PRIMARY KEY CLUSTERED 
(
	[HierarchyNodeSubCategory] ASC,
	[HierarchyNodeCategory] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [lineage].[HierarchyTypeDef]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[HierarchyTypeDef](
	[HierarchyType] [nvarchar](100) NOT NULL,
	[HierarchySubType] [nvarchar](100) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [HierarchyTypeDefPK] PRIMARY KEY CLUSTERED 
(
	[HierarchyType] ASC,
	[HierarchySubType] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [lineage].[Node]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[Node](
	[NodePid] [bigint] IDENTITY(1,1) NOT NULL,
	[NodeId] [nvarchar](1000) NOT NULL,
	[NodeType] [nvarchar](100) NULL,
	[NodeName] [nvarchar](1000) NULL,
	[NodeContextHierarchyPid] [bigint] NULL,
	[NodeContextHierarchyId] [nvarchar](1000) NULL,
	[fws_load_ts] [datetime] NULL,
	[fws_valid_from_ts] [datetime] NOT NULL,
	[fws_valid_to_ts] [datetime] NULL,
 CONSTRAINT [NodePK] PRIMARY KEY CLUSTERED 
(
	[NodePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [lineage].[NodeAttribute]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[NodeAttribute](
	[NodePid] [bigint] NOT NULL,
	[NodeId] [nvarchar](1000) NOT NULL,
	[NodeAttributePid] [bigint] IDENTITY(1,1) NOT NULL,
	[NodeAttributeId] [nvarchar](1000) NOT NULL,
	[NodeAttributeTypeId] [nvarchar](1000) NOT NULL,
	[NodeAttributeName] [nvarchar](100) NULL,
	[NodeAttributeValue] [nchar](1000) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
 CONSTRAINT [NodeAttributePK] PRIMARY KEY CLUSTERED 
(
	[NodeAttributePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [lineage].[NodeAttributeType]    Script Date: 08-05-2018 09:54:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [lineage].[NodeAttributeType](
	[NodeAttributeTypePid] [bigint] IDENTITY(1,1) NOT NULL,
	[NodeAttributeTypeId] [nvarchar](1000) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[fws_valid_from_ts] [datetime] NULL,
	[fws_valid_to_ts] [datetime] NULL,
	[fws_load_ts] [datetime] NULL,
 CONSTRAINT [NodeAttributeTypePK] PRIMARY KEY CLUSTERED 
(
	[NodeAttributeTypePid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
INSERT [audit].[exec_status] ([exec_status], [exec_status_description]) VALUES (N'DID_NOT_RUN', N'')
GO
INSERT [audit].[exec_status] ([exec_status], [exec_status_description]) VALUES (N'ENDED_ERROR', N'')
GO
INSERT [audit].[exec_status] ([exec_status], [exec_status_description]) VALUES (N'ENDED_OK', N'')
GO
INSERT [audit].[exec_status] ([exec_status], [exec_status_description]) VALUES (N'INITIALIZING', N'')
GO
INSERT [audit].[exec_status] ([exec_status], [exec_status_description]) VALUES (N'RUNNING', N'')
GO
INSERT [audit].[job_type] ([job_type], [job_type_description]) VALUES (N'dtsx', N'Represents a dtsx file.')
GO
INSERT [audit].[job_type] ([job_type], [job_type_description]) VALUES (N'lineage_dtsx', N'Represents a dtsx file.')
GO
INSERT [audit].[job_type] ([job_type], [job_type_description]) VALUES (N'lineage_project', N'Represents a SSIS Project')
GO
INSERT [audit].[job_type] ([job_type], [job_type_description]) VALUES (N'project', N'Represents a SSIS Project')
GO
INSERT [lineage].[HierarchyNodeAttributeType] ([HierarchyNodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Create Date', N'The date the specific node (package) was created.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.947' AS DateTime))
GO
INSERT [lineage].[HierarchyNodeAttributeType] ([HierarchyNodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Internal ID', N'An ID that represents the internal id of the node in the package.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.943' AS DateTime))
GO
INSERT [lineage].[HierarchyNodeAttributeType] ([HierarchyNodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'PLACEHOLDER', N'PLACEHOLDER DESCRIPTION', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.940' AS DateTime))
GO
INSERT [lineage].[HierarchyNodeAttributeType] ([HierarchyNodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Software Type', N'UNKNOWN', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.947' AS DateTime))
GO
INSERT [lineage].[HierarchyNodeAttributeType] ([HierarchyNodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'SQL Query', N'A statement that is either a DDL, DML, DCL, or TCL.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.943' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'', N'DataObject', N'DataObject represents an object that are either read by an TransformationObject as an input or written to by a TransformationObject as an output. DataObject typically represents an object that has physical storage media, such as a Database table or a flat file.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.980' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'', N'TransformationObject', N'TransformationObject represents an object that reads input, make transformations, and then generates output. TransformationObject typically represents a program that process data based on transformation logic and does not have permanent physical storage media for data in the transformation process.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.950' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'ADONETDestination', N'The ADO NET destination loads data into a variety of ADO.NET-compliant databases that use a database table or view. You have the option of loading this data into an existing table or view, or you can create a new table and load the data into the new table.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.970' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'ADONETSource', N'The ADO NET source consumes data from a .NET provider and makes the data available to the data flow.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.970' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'Aggregate', N'The ADO NET source consumes data from a .NET provider and makes the data available to the data flow.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.967' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'ConditionalSplit', N'The Data Conversion transformation converts the data in an input column to a different data type and then copies it to a new output column.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.970' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'DataConversion', N'The Data Conversion transformation converts the data in an input column to a different data type and then copies it to a new output column.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.970' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'DerivedColumn', N'The Derived Column transformation creates new column values by applying expressions to transformation input columns. An expression can contain any combination of variables, functions, operators, and columns from the transformation input. The result can be added as a new column or inserted into an existing column as a replacement value. The Derived Column transformation can define multiple derived columns, and any variable or input columns can appear in multiple expressions.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.970' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'Lookup', N'The Lookup transformation performs lookups by joining data in input columns with columns in a reference dataset. You use the lookup to access additional information in a related table that is based on values in common columns.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.973' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'Merge', N'The Merge transformation combines two sorted datasets into a single dataset.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.977' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'MergeJoin', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.977' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'OLEDBCommand', N'The OLE DB Command transformation runs an SQL statement for each row in a data flow. For example, you can run an SQL statement that inserts, updates, or deletes rows in a database table.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.973' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'OLEDBDestination', N'The OLE DB destination loads data into a variety of OLE DB-compliant databases using a database table or view or an SQL command.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.967' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'OLEDBSource', N'The OLE DB source extracts data from a variety of OLE DB-compliant relational databases by using a database table, a view, or an SQL command.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.967' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'RowCount', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.977' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'Sort', N'The Sort transformation sorts input data in ascending or descending order and copies the sorted data to the transformation output.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.973' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'UnionAll', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.977' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Component', N'UnknownTransformation', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.980' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Container', N'ForeachContainer', N'The Foreach Loop container defines a repeating control flow in a package. The loop implementation is similar to Foreach looping structure in programming languages.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.963' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Container', N'ForloopContainer', N'The For Loop container defines a repeating control flow in a package. The loop implementation is similar to the For looping structure in programming languages. In each repeat of the loop, the For Loop container evaluates an expression and repeats its workflow until the expression evaluates to False.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.963' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'Container', N'SequenceContainer', N'The Sequence container defines a control flow that is a subset of the package control flow. Sequence containers group the package into multiple separate control flows, each containing one or more tasks and containers that run within the overall package control flow.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.963' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DataObject', N'DBObject', N'A database object.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.980' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DataObject', N'FileObject', N'A file object.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:14.000' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DataObject', N'JSONObject', N'A JSON object.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.997' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Column', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.983' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Data Type', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.993' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Database', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.980' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'DBServer', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.980' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Foreign Key', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.987' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Primary Key', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.987' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Property', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.997' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Schema', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.983' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Sequence', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.990' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'DBObject', N'Table', N'', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.983' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLObject', N'Component', N'Parent for component-subtypes such as OLE DB Sources, Lookup, and Sort.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.967' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLObject', N'Container', N'Parent for container-subtypes such as Foreach container and Sequence container.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.960' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLObject', N'ETLPackage', N'Corresponds to an SSIS dtsx file.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.953' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLObject', N'ETLProject', N'A container for all DTSX packages and parameters that exists within the selected folder.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.950' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLObject', N'ETLTask', N'Parent for task-subtypes such as Data Flow Task, Script Task, and Data Flow Task.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.953' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'DataFlowTask', N'The Data Flow task encapsulates the data flow engine that moves data between sources and destinations, and lets the user transform, clean, and modify data as it is moved.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.953' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'ExecutePackageTask', N'The Execute Package task extends the enterprise capabilities of Integration Services by letting packages run other packages as part of a workflow.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.960' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'ExecuteSQLTask', N'The Execute SQL task runs SQL statements or stored procedures from a package. The task can contain either a single SQL statement or multiple SQL statements that run sequentially.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.957' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'FileSystemTask', N'The File System task performs operations on files and directories in the file system. For example, by using the File System task, a package can create, move, or delete directories and files.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.957' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'FTPTask', N'The FTP task downloads and uploads data files and manages directories on servers. For example, a package can download data files from a remote server or an Internet location as part of an Integration Services package workflow.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.960' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'ScriptTask', N'The Script task provides code to perform functions that are not available in the built-in tasks and transformations that SQL Server Integration Services provides.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.957' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'SendMailTask', N'The Send Mail task sends an e-mail message. By using the Send Mail task, a package can send messages if tasks in the package workflow succeed or fail, or send messages in response to an event that the package raises at run time.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.957' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'UNKNOWN', N'An ETLTask that is yet to be implemented in Lineage.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.960' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'WebServiceTask', N'The Web Service task executes a Web service method. Writing to a variable the values that a Web service method returns. Writing to a file the values that a Web service method returns.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.953' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'ETLTask', N'XMLTask', N'The XML task is used to work with XML data. Using this task, a package can retrieve XML documents, apply operations to the documents by using Extensible Stylesheet Language Transformations (XSLT) style sheets and XPath expressions, merge multiple documents, or validate, compare, and save the updated documents to files and variables.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.960' AS DateTime))
GO
INSERT [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (N'TransformationObject', N'ETLObject', N'ETLObject represents objects in an ETL tool.', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T00:00:00.000' AS DateTime), CAST(N'2017-10-20T07:12:13.950' AS DateTime))
GO
SET IDENTITY_INSERT [lineage].[NodeAttributeType] ON 
GO
INSERT [lineage].[NodeAttributeType] ([NodeAttributeTypePid], [NodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (1, N'PLACEHOLDER', N'PLACEHOLDER DESCRIPTION', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.947' AS DateTime))
GO
INSERT [lineage].[NodeAttributeType] ([NodeAttributeTypePid], [NodeAttributeTypeId], [Description], [fws_valid_from_ts], [fws_valid_to_ts], [fws_load_ts]) VALUES (2, N'Data Type', N'The data type of a column', CAST(N'1900-01-01T00:00:00.000' AS DateTime), CAST(N'9999-12-31T23:59:59.000' AS DateTime), CAST(N'2017-10-20T07:12:13.950' AS DateTime))
GO
SET IDENTITY_INSERT [lineage].[NodeAttributeType] OFF
GO
ALTER TABLE [audit].[check_value_log] ADD  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [audit].[error_log] ADD  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [audit].[extract_interval] ADD  DEFAULT (getdate()) FOR [last_change_ts]
GO
ALTER TABLE [audit].[job_exec_log] ADD  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [audit].[table_processing_log] ADD  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[Edge] ADD  CONSTRAINT [DVC_Edge_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[Edge] ADD  CONSTRAINT [DF_Edge_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[Edge] ADD  CONSTRAINT [DVC_Edge_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[EdgeAttribute] ADD  CONSTRAINT [DVC_EdgeAttribute_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[EdgeAttribute] ADD  CONSTRAINT [DVC_EdgeAttribute_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[EdgeAttribute] ADD  CONSTRAINT [DF_EdgeAttribute_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[HierarchyNode] ADD  CONSTRAINT [DVC_HierarchyNode_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[HierarchyNode] ADD  CONSTRAINT [DVC_HierarchyNode_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[HierarchyNode] ADD  CONSTRAINT [DF_HierarchyNode_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttribute] ADD  CONSTRAINT [DVC_HierarchyNodeAttribute_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttribute] ADD  CONSTRAINT [DVC_HierarchyNodeAttribute_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttribute] ADD  CONSTRAINT [DF_HierarchyNodeAttribute_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttributeType] ADD  CONSTRAINT [DVC_HierarchyNodeAttributeType_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttributeType] ADD  CONSTRAINT [DVC_HierarchyNodeAttributeType_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeAttributeType] ADD  CONSTRAINT [DF_HierarchyNodeAttributeType_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeCategoryDef] ADD  CONSTRAINT [DVC_HierarchyNodeCategoryDef_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeCategoryDef] ADD  CONSTRAINT [DVC_HierarchyNodeCategoryDef_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[HierarchyNodeCategoryDef] ADD  CONSTRAINT [DF_HierarchyNodeCategoryDef_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[HierarchyTypeDef] ADD  CONSTRAINT [DVC_HierarchyTypeDef_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[HierarchyTypeDef] ADD  CONSTRAINT [DVC_HierarchyTypeDef_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[HierarchyTypeDef] ADD  CONSTRAINT [DF_HierarchyTypeDef_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[Node] ADD  CONSTRAINT [DF_Node_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[Node] ADD  CONSTRAINT [DVC_Node_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[Node] ADD  CONSTRAINT [DVC_Node_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[NodeAttribute] ADD  CONSTRAINT [DVC_NodeAttribute_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[NodeAttribute] ADD  CONSTRAINT [DF_NodeAttribute_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [lineage].[NodeAttribute] ADD  CONSTRAINT [DVC_NodeAttribute_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[NodeAttributeType] ADD  CONSTRAINT [DVC_NodeAttributeType_fws_valid_from_ts]  DEFAULT ('1900-01-01') FOR [fws_valid_from_ts]
GO
ALTER TABLE [lineage].[NodeAttributeType] ADD  CONSTRAINT [DVC_NodeAttributeType_fws_valid_to_ts]  DEFAULT ('9999-12-31 23:59:59') FOR [fws_valid_to_ts]
GO
ALTER TABLE [lineage].[NodeAttributeType] ADD  CONSTRAINT [DF_NodeAttributeType_fws_load_ts]  DEFAULT (getdate()) FOR [fws_load_ts]
GO
ALTER TABLE [audit].[job_exec_log]  WITH CHECK ADD  CONSTRAINT [exec_status_job_exec] FOREIGN KEY([exec_status])
REFERENCES [audit].[exec_status] ([exec_status])
GO
ALTER TABLE [audit].[job_exec_log] CHECK CONSTRAINT [exec_status_job_exec]
GO
ALTER TABLE [audit].[job_exec_log]  WITH CHECK ADD  CONSTRAINT [job_type_job_exec] FOREIGN KEY([job_type])
REFERENCES [audit].[job_type] ([job_type])
GO
ALTER TABLE [audit].[job_exec_log] CHECK CONSTRAINT [job_type_job_exec]
GO
ALTER TABLE [lineage].[Edge]  WITH CHECK ADD  CONSTRAINT [connected_from_pid] FOREIGN KEY([PrevNodePid])
REFERENCES [lineage].[Node] ([NodePid])
GO
ALTER TABLE [lineage].[Edge] CHECK CONSTRAINT [connected_from_pid]
GO
ALTER TABLE [lineage].[Edge]  WITH CHECK ADD  CONSTRAINT [connected_to_pid] FOREIGN KEY([NextNodePid])
REFERENCES [lineage].[Node] ([NodePid])
GO
ALTER TABLE [lineage].[Edge] CHECK CONSTRAINT [connected_to_pid]
GO
ALTER TABLE [lineage].[EdgeAttribute]  WITH CHECK ADD  CONSTRAINT [has_Edge_attribute_pid] FOREIGN KEY([EdgePid])
REFERENCES [lineage].[Edge] ([EdgePid])
GO
ALTER TABLE [lineage].[EdgeAttribute] CHECK CONSTRAINT [has_Edge_attribute_pid]
GO
ALTER TABLE [lineage].[HierarchyNode]  WITH CHECK ADD  CONSTRAINT [Relationship5] FOREIGN KEY([HierarchyType], [HierarchySubType])
REFERENCES [lineage].[HierarchyTypeDef] ([HierarchyType], [HierarchySubType])
GO
ALTER TABLE [lineage].[HierarchyNode] CHECK CONSTRAINT [Relationship5]
GO
ALTER TABLE [lineage].[HierarchyNode]  WITH CHECK ADD  CONSTRAINT [Relationship6] FOREIGN KEY([HierarchyNodeSubCategory], [HierarchyNodeCategory])
REFERENCES [lineage].[HierarchyNodeCategoryDef] ([HierarchyNodeSubCategory], [HierarchyNodeCategory])
GO
ALTER TABLE [lineage].[HierarchyNode] CHECK CONSTRAINT [Relationship6]
GO
ALTER TABLE [lineage].[HierarchyNodeAttribute]  WITH CHECK ADD  CONSTRAINT [has_hierarchy_attribute_pid] FOREIGN KEY([HierarchyNodePid])
REFERENCES [lineage].[HierarchyNode] ([HierarchyNodePid])
GO
ALTER TABLE [lineage].[HierarchyNodeAttribute] CHECK CONSTRAINT [has_hierarchy_attribute_pid]
GO
ALTER TABLE [lineage].[Node]  WITH CHECK ADD  CONSTRAINT [contains_nodes_pid] FOREIGN KEY([NodeContextHierarchyPid])
REFERENCES [lineage].[HierarchyNode] ([HierarchyNodePid])
GO
ALTER TABLE [lineage].[Node] CHECK CONSTRAINT [contains_nodes_pid]
GO
ALTER TABLE [lineage].[NodeAttribute]  WITH CHECK ADD  CONSTRAINT [has_node_attribute_pid] FOREIGN KEY([NodePid])
REFERENCES [lineage].[Node] ([NodePid])
GO
ALTER TABLE [lineage].[NodeAttribute] CHECK CONSTRAINT [has_node_attribute_pid]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Foreign key to AuditPkgExecution' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'check_value_log', @level2type=N'COLUMN',@level2name=N'job_exec_id'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Either num, char, bool or date' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'check_value_log', @level2type=N'COLUMN',@level2name=N'check_value_type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tabel til opsamling af diverse kontroller ifbm. en kørsel af en pakke.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'check_value_log'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Nøgle med information. Er navnet på status for en kørsel.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'exec_status', @level2type=N'COLUMN',@level2name=N'exec_status'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Beskrivelse af status for en kørsel.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'exec_status', @level2type=N'COLUMN',@level2name=N'exec_status_description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Typer der viser hvilken status kørsel af en pakke kan befinde sig i.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'exec_status'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Skema for den tabel der skal udtrækkes data til. Værdien kan genfindes i DynamicETL.SourceTargetTables.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'extract_interval_name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Første tidspunkt, der er omfattet af et batch. Første gang et batch afvikles sættes værdien til 01-01-1900 kl. 00:00. Herefter sættes den til batch_period_to_ts for den foregående gennemførte afvikling. Hvis foregående afvikling ikke blev gennemført fastholdes værdien i batch_period_from_ts. Er fælles for alle extracts inden for et batch.
Værdierne i batch_period_from_ts og batch_period_to_ts anvendes til beregning af værdierne i fwsValidFromTs og fwsValidToTs i fwsDatarep.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'batch_period_from_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Sidste tidspunkt (ikke inklusive), der er omfattet af et batch. Når et batch startes, sættes den til nuværende tidspunkt på databasen for fwsMetadata, og er fælles for alle extracts inden for et batch.
Værdierne i batch_period_from_ts og batch_period_to_ts anvendes til beregning af værdierne i fwsValidFromTs og fwsValidToTs i fwsDatarep. Dermed sikres konsistens i fwsValidFromTs og fwsValidToTs i på tværs af extracts inden for et batch (i modsætning til hvis de blev beregnet på baggrund af source_period_from_ts og source_period_to_ts).' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'batch_period_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tidsmæssig startafgrænsning for extract_method delta_date og anvendes i delta udtræk where-betingelse, hvor kildens delta kolonne skal være større end eller lig med denne værdi (>=). 
Værdien gemmes dog for alle typer extract_method.
Første gang et batch afvikles sættes værdien til 01-01-1900 kl. 00:00. Herefter sættes den til source_period_to_ts for den foregående gennemførte afvikling. Hvis foregående afvikling ikke blev gennemført fastholdes værdien i source_period_from_ts. Er fælles for alle extracts fra samme source_connection inden for et batch.
' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'source_period_from_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tidsmæssig slutafgrænsning for extract_method delta_date og anvendes i delta udtræk where-betingelse, hvor kildens delta kolonne skal være mindre end denne værdi (<). 
Værdien gemmes dog for alle typer extract_method.
Når et batch startes, sættes den til nuværende tidspunkt på source databasen, og er fælles for alle extracts fra samme source_connection inden for et batch.
' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'source_period_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Værdimæssig startafgrænsning for extract_method delta_ident og anvendes i delta udtræk where-betingelse, hvor kildens delta kolonne skal være større end eller lig med denne værdi (>=). 
Første gang et batch afvikles sættes værdien til 1. Herefter sættes den til source_ident_to_ts for den foregående gennemførte afvikling. Hvis foregående afvikling ikke blev gennemført fastholdes værdien i source_ident_from_ts. Er individuel for hver extract og angives kun for de extracts der anvender extract_method delta_ident.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'source_ident_from'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Værdimæssig slutafgrænsning for extract_method delta_ident og anvendes i delta udtræk where-betingelse, hvor kildens delta kolonne skal være mindre end denne værdi (<). 
Når et batch startes, sættes den til nuværende maksimale værdi af source tabellens deltakolonne +1. Den er individuel for hver extract og angives kun for de extracts der anvender extract_method delta_ident.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'source_ident_to'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ProcessedFlag
   
   Angiver om data er blevet indlæst i Historiken. Anvendes kun aktivt på rækker der findes i dette område. 
   
   Flaget opdateres af DatarepSortmerge pakke.
   
   På rækker der omhandler perioder for andre områder som fx. DM sættes det til 1. ' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'processed_flag'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Fremmednøgle til Audit.PkgExecLog. Angiver en afvikling af et job der senest har opdateret rækken.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval', @level2type=N'COLUMN',@level2name=N'job_exec_id'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tabel der indeholder oplysninger om udtræksperioder for hver schema/tabel eller segment der udtrækkes. 
   
   Tabellen bliver opdateret med kørselstidspunkter fra fx. DB2. Tiderne bliver brugt til at parametisere pakker så de bliver kørt med et filter svarende til den auktuelle udtræksperiode.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'extract_interval'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Kunstig nøgle' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'job_exec_id'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Name of the package' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'job_name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Link to the row for the master package execution calling this package.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'parent_job_exec_id'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Fremmednøgle til tabellen ExecStatus. Fortæller hvilken status en kørsel af en pakke har, eller er afsluttet med.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'exec_status'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Datetime package execution began' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'exec_start_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Datetime package execution ended' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'exec_stop_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Measured in seconds. Amount of time a package executed. Calculated as the difference between ExecStartDt and ExecEndTs.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'exec_duration'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Første tidspunkt, der er omfattet af et batch. Værdien hentes fra audit.extract_interval.batch_period_from_ts, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.
Værdierne i batch_period_from_ts og batch_period_to_ts anvendes til beregning af værdierne i fwsValidFromTs og fwsValidToTs i fwsDatarep.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'batch_period_from_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Sidste tidspunkt (ikke inklusive), der er omfattet af et batch. Værdien hentes fra audit.extract_interval.batch_period_to_ts, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.
Værdierne i batch_period_from_ts og batch_period_to_ts anvendes til beregning af værdierne i fwsValidFromTs og fwsValidToTs i fwsDatarep.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'batch_period_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tidsmæssig slutafgrænsning for extract_method delta_date. Værdien hentes fra audit.extract_interval.source_period_from_ts, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'source_period_from_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tidsmæssig startafgrænsning for extract_method delta_date. Værdien hentes fra audit.extract_interval.source_period_to_ts, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'source_period_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Værdimæssig slutafgrænsning for extract_method delta_ident. Værdien hentes fra audit.extract_interval.source_ident_from, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.
Angives kun for de extracts der anvender extract_method delta_ident.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'source_ident_from'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Værdimæssig startafgrænsning for extract_method delta_ident. Værdien hentes fra audit.extract_interval.source_ident_to, og er den værdi der var gældende for det pågældende extract_id og afviklingstidspunkt.
Angives kun for de extracts der anvender extract_method delta_ident.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'source_ident_to'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Fremmednøgle til tabellen PackageType. Fortæller hvilken skabelon en pakke er baseret på.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'job_type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Jobbet eller pakkens projektnavn.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'job_project'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Jobbet eller pakkens version.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'job_version'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Name of the server or PC that executed the package.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'machine_name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'E.g. Talend version 6.1.1' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'software_version'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The username that executed the package.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'user_name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Eventuel årsag til en status for kørsel af en pakke. Fritekst felt.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'exec_status_reason'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Loadtidspunkt for en række.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log', @level2type=N'COLUMN',@level2name=N'fws_load_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Logning af kørsel af ETL-jobs, fx Integration Services pakker.
   
   Hver gang en Integration Services pakke startes tilføjes en række i tabellen.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_exec_log'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Nøgle med information. Er navnet på pakketypen.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_type', @level2type=N'COLUMN',@level2name=N'job_type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Pakkebeskrivelse.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_type', @level2type=N'COLUMN',@level2name=N'job_type_description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Type der viser hvilken skabelon et job eller en pakke er baseret på.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'job_type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Surrogate primary key' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log', @level2type=N'COLUMN',@level2name=N'job_exec_id'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Insert, Update, Delete, Select' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log', @level2type=N'COLUMN',@level2name=N'process_type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Source, Target, Lookup' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log', @level2type=N'COLUMN',@level2name=N'table_usage'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Antal rækker optalt.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log', @level2type=N'COLUMN',@level2name=N'row_count'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Tidspunkt for indsættelse af række.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log', @level2type=N'COLUMN',@level2name=N'fws_load_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Indeholder yderligere information om kørsel for dataflyttende pakke.
   
   Når det er en fil, der behandles, lægges Path til filen i connectstring, og filnavnet i TableName, og RowCount sættes til antal læste/skrevne linier. Hvis flere filer læses, skrives en record i denne tabel efter læsning af én fil, hvorved man via PkgExecId og dwLoadTs kan knytte metadatarecords til rækkerne i fwsDatarep m.v.' , @level0type=N'SCHEMA',@level0name=N'audit', @level1type=N'TABLE',@level1name=N'table_processing_log'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'Edge', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'EdgeAttribute', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'HierarchyNode', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'HierarchyNodeAttribute', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'HierarchyNodeAttributeType', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'HierarchyNodeCategoryDef', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'HierarchyTypeDef', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'Node', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'NodeAttribute', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Non inclusive end date of validity of historic version. Newest version set to 9999-12-31 23:59:59' , @level0type=N'SCHEMA',@level0name=N'lineage', @level1type=N'TABLE',@level1name=N'NodeAttributeType', @level2type=N'COLUMN',@level2name=N'fws_valid_to_ts'
GO
